summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorrussell <russell@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2006-06-26 14:18:42 +0000
committerrussell <russell@5390a7c7-147a-4af0-8ec9-7488f05a26cb>2006-06-26 14:18:42 +0000
commitb7d0f977e0f6bef02103a33aa9e5639d9ea3bfee (patch)
tree39ce673aeb318cc8b0234bb950a7f4f60b7df55c /bootstrap.sh
parent65a9b51ba369276966ae2422d6df70b8e21aa106 (diff)
merge autoconf and menuselect support for zaptel
Happy birthday to me :) git-svn-id: http://svn.digium.com/svn/zaptel/trunk@1179 5390a7c7-147a-4af0-8ec9-7488f05a26cb
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..b26b828
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+check_for_app() {
+ $1 --version 2>&1 >/dev/null
+ if [ $? != 0 ]
+ then
+ echo "Please install $1 and run bootstrap.sh again!"
+ exit 1
+ fi
+}
+
+AUTOCONF_VERSION=2.59
+AUTOMAKE_VERSION=1.9
+export AUTOCONF_VERSION
+export AUTOMAKE_VERSION
+
+check_for_app autoconf
+check_for_app automake
+check_for_app aclocal
+echo "Generating the configure script ..."
+aclocal 2>/dev/null
+autoconf
+automake --add-missing --copy 2>/dev/null
+
+exit 0